# eric4.Plugins.VcsPlugins.vcsSubversion.ProjectHelper

Module implementing the VCS project helper for Subversion.

### Global Attributes

None

### Classes

SvnProjectHelper | Class implementing the VCS project helper for Subversion.

### Functions

None

## SvnProjectHelper

Class implementing the VCS project helper for Subversion.

### Derived from

VcsProjectHelper

### Class Attributes

None

### Class Methods

None

### Methods

SvnProjectHelper | Constructor
__svnBranchList | Private slot used to list the branches of the project.
__svnChangeLists | Private slot used to show a list of change lists.
__svnConfigure | Private slot to open the configuration dialog.
__svnExtendedDiff | Private slot used to perform a svn diff with the selection of revisions.
__svnLogBrowser | Private slot used to browse the log of the current project.
__svnLogLimited | Private slot used to perform a svn log --limit.
__svnPropDel | Private slot used to delete a property for the project files.
__svnPropList | Private slot used to list the properties of the project files.
__svnPropSet | Private slot used to set a property for the project files.
__svnRelocate | Private slot used to relocate the working copy to a new repository URL.
__svnRepoBrowser | Private slot to open the repository browser.
__svnResolve | Private slot used to resolve conflicts of the local project.
__svnTagList | Private slot used to list the tags of the project.
__svnUrlDiff | Private slot used to perform a svn diff with the selection of repository URLs.
getActions | Public method to get a list of all actions.
initActions | Public method to generate the action objects.
initMenu | Public method to generate the VCS menu.

### Static Methods

None

#### SvnProjectHelper (Constructor)

SvnProjectHelper(vcsObject, projectObject, parent = None, name = None)

Constructor

vcsObject
  reference to the vcs object
projectObject
  reference to the project object
parent
  parent widget (QWidget)
name
  name of this object (string or QString)

#### SvnProjectHelper.__svnBranchList

__svnBranchList()

Private slot used to list the branches of the project.

#### SvnProjectHelper.__svnChangeLists

__svnChangeLists()

Private slot used to show a list of change lists.

#### SvnProjectHelper.__svnConfigure

__svnConfigure()

Private slot to open the configuration dialog.

#### SvnProjectHelper.__svnExtendedDiff

__svnExtendedDiff()

Private slot used to perform a svn diff with the selection of revisions.

#### SvnProjectHelper.__svnLogBrowser

__svnLogBrowser()

Private slot used to browse the log of the current project.

#### SvnProjectHelper.__svnLogLimited

__svnLogLimited()

Private slot used to perform a svn log --limit.

#### SvnProjectHelper.__svnPropDel

__svnPropDel()

Private slot used to delete a property for the project files.

#### SvnProjectHelper.__svnPropList

__svnPropList()

Private slot used to list the properties of the project files.

#### SvnProjectHelper.__svnPropSet

__svnPropSet()

Private slot used to set a property for the project files.

#### SvnProjectHelper.__svnRelocate

__svnRelocate()

Private slot used to relocate the working copy to a new repository URL.

#### SvnProjectHelper.__svnRepoBrowser

__svnRepoBrowser()

Private slot to open the repository browser.

#### SvnProjectHelper.__svnResolve

__svnResolve()

Private slot used to resolve conflicts of the local project.

#### SvnProjectHelper.__svnTagList

__svnTagList()

Private slot used to list the tags of the project.

#### SvnProjectHelper.__svnUrlDiff

__svnUrlDiff()

Private slot used to perform a svn diff with the selection of repository URLs.

#### SvnProjectHelper.getActions

getActions()

Public method to get a list of all actions.

Returns:
  list of all actions (list of E4Action)

#### SvnProjectHelper.initActions

initActions()

Public method to generate the action objects.

#### SvnProjectHelper.initMenu

initMenu(menu)

Public method to generate the VCS menu.

menu
  reference to the menu to be populated (QMenu)

Up